View Issue Details

IDProjectCategoryView StatusLast Update
0005328ScribusInternalpublic2007-02-24 22:50
Reportermgruner Assigned Toplinnell 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.3 
Target VersionFixed in Version1.3.3.8cvs 
Summary0005328: new german hyphenation files available
DescriptionHi, the OpenOffice.org packages (Ubuntu) contain an updated german hyphenation file, which I'll attach here. Please consider including this for scribus, as it makes hyphenation for German REALLY better.

Thanks for scribus!!!
TagsNo tags attached.
Patch

Relationships

related to 0005322 assignedcbradney Hyphenation patterns distributed without license and copyright information 
child of 0003828 acknowledged Metabug: Hyphenation 

Activities

2007-02-11 18:16

 

hyph_de_DE.dic (50,110 bytes)

cbradney

2007-02-11 19:47

administrator   ~0015204

Reminder sent to: christoph_s

Christoph, please check this and the licence files out.
thanks
Craig

christoph_s

2007-02-11 21:11

administrator   ~0015209

mgruner, where is the lincencing info?

mgruner

2007-02-12 16:49

reporter   ~0015220

Hi. I just checked, it seems this is LGPL. /usr/share/doc/openoffice.org-hyphenation-de/copyright says:

########################################################################

This package was debianized by Rene Engelhard <rene@debian.org> on
Fri Feb 17 23:03:17 CET 2006

It was downloaded from CVS:
        export CVSROOT=":pserver:anoncvs@anoncvs.services.openoffice.org:/cvs"
        cvs login
        <empty password>
        cvs co -r OOB680_m1 dictionaries

Upstream Authors: Marco Huggenberger <marco@by-night.ch>
                  Daniel Naber

Copyright:

Die Trennmuster (hyph_de_DE.dic) basieren auf den TeX Trennmustern
"dehyphn.tex", revision level 31.
Lizenz der Trennmuster: GNU LGPL. Die Anpassung der Trennmuster an
den in OpenOffice.org benutzten "ALTLinux LibHnj Hyphenator" wurde
mit dem Script substrings.pl durchgef<FC>hrt, das unter
http://lingucomponent.openoffice.org/hyphenator.html als Teil der
Datei altlinux_Hyph.zip heruntergeladen werden kann.
Die Original-Trennmuster k<F6>nnen hier heruntergeladen werden:
http://www.tug.org/tex-archive/language/hyphenation/dehyphn.tex

On Debian systems, the full text of the LGPL can be found in
/usr/share/common-licenses/LGPL.

########################################################################

Thanks.

christoph_s

2007-02-12 16:55

administrator   ~0015221

OK, the LPPL requirements are met, and it works technically.

mhanski

2007-02-12 17:13

developer   ~0015222

Christoph, I think it would be good and probably necessary to translate the abovementioned copyright note from German into English and attach it to this bug as a simple text file called README_hyph_de_DE.txt, to be included "as is" into both branches of Scribus sources.

This new README file could also be forwarded upstream to the guy in charge of the German NLS project at OpenOffice, to replace the current, non LPPL compliant file, see this thread from their mailing list:

http://lingucomponent.openoffice.org/servlets/ReadMsg?list=dev&msgNo=2252

cbradney

2007-02-21 23:44

administrator   ~0015367

Reminder sent to: christoph_s, maciej, plinnell

If this is sorted before Friday, these files can go into 1.3.3.8

christoph_s

2007-02-21 23:46

administrator   ~0015368

Technically and legally this is sorted. The file is ok.

Issue History

Date Modified Username Field Change
2007-02-11 18:16 mgruner New Issue
2007-02-11 18:16 mgruner File Added: hyph_de_DE.dic
2007-02-11 19:47 cbradney Note Added: 0015204
2007-02-11 21:11 christoph_s Note Added: 0015209
2007-02-11 21:19 mhanski Relationship added child of 0003828
2007-02-11 21:21 mhanski Relationship added related to 0005322
2007-02-12 16:49 mgruner Note Added: 0015220
2007-02-12 16:55 christoph_s Note Added: 0015221
2007-02-12 17:13 mhanski Note Added: 0015222
2007-02-12 17:22 plinnell Status new => assigned
2007-02-12 17:22 plinnell Assigned To => plinnell
2007-02-12 23:16 mhanski Product Version 1.3.3.7 => 1.3
2007-02-21 23:44 cbradney Note Added: 0015367
2007-02-21 23:46 christoph_s Note Added: 0015368
2007-02-24 20:04 plinnell Status assigned => resolved
2007-02-24 20:04 plinnell Fixed in Version => 1.3.3.8cvs
2007-02-24 20:04 plinnell Resolution open => fixed
2007-02-24 22:49 plinnell Status resolved => closed